﻿<div class="page-content">
    <div class="logo-cont">
        <img src="img/logo.png" />
    </div>
    <div class="list-block">
        <div class="m-auto">
            <form name="$parent.AgentSecondWizardForm" ng-submit="submitForm($parent.AgentSecondWizardForm.$valid)" novalidate>
                <ul>
                    <li>
                        <p class="withoutInvalid">صورة الهوية الوطنية / الإقامة</p>
                        <div class="profile-img text-center" ng-click="AddImage()">
                            <div class="picOption">
                                <i class="ionicons ion-android-upload"></i>
                            </div>
                            <img name="imgUserAgent" data-ng-src="{{userImage | generateURL}}" src="http://placehold.it/1000x100?text=image" fallback-src="http://placehold.it/1000x100?text=image" />
                        </div>
                    </li>
                    <li>
                        <a id="linkSignUpAgentCity" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                            <select name="city" id="cityId" ng-model="agentSecondWizardForm.city" ng-options="city.name for city in cities" required>
                                <option ng-select="true" ng-disabled="true" value="">المدينة</option>
                            </select>
                            <div class="item-content" ng-class="AgentSecondWizardSubmitted && AgentSecondWizardReset && $parent.AgentSecondWizardForm.city.$invalid?'has-error':'no-error'">
                                <div class="item-media"><i class="ion-android-home"></i></div>
                                <div class="item-inner">
                                    <div class="item-after">المدينة</div>
                                </div>
                            </div>
                            <p ng-show="AgentSecondWizardSubmitted && AgentSecondWizardReset && $parent.AgentSecondWizardForm.city.$error.required" class="error-block">يجب اختيار المدينة</p>
                        </a>
                    </li>

                    <li>
                        <a id="linkSignUpAgentCategory" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                            <select name="category" id="categoryId" ng-model="agentSecondWizardForm.category" ng-options="category.name for category in categories" ng-change="FilterSubCategories(agentSecondWizardForm.category)" multiple required>
                                <option ng-select="true" selected ng-disabled="true" value="">التصنيفات الرئيسية</option>
                            </select>
                            <div class="item-content" ng-class="AgentSecondWizardSubmitted && AgentSecondWizardReset && $parent.AgentSecondWizardForm.category.$invalid?'has-error':'no-error'">
                                <div class="item-media"><i class="ion-android-list"></i></div>
                                <div class="item-inner">
                                    <div class="item-after">التصنيفات الرئيسية</div>
                                </div>
                            </div>
                            <p ng-show="AgentSecondWizardSubmitted && AgentSecondWizardReset && $parent.AgentSecondWizardForm.category.$error.required" class="error-block">يجب اختيار تصنيف رئيسي</p>
                        </a>
                    </li>

                    <li>
                        <a id="linkSignUpAgentSubCategory" href="#" class="item-link smart-select" data-open-in="popup" data-popup-close-text="إغلاق" data-back-on-select="true">
                            <select name="subCategory" id="subCategoryId" ng-model="agentSecondWizardForm.subCategory" ng-options="subCategory.name for subCategory in subCategories" ng-change="CountSelectedSubs(agentSecondWizardForm.subCategory)" multiple required>
                                <option ng-select="true" selected ng-disabled="true" value="">التصنيفات الفرعية</option>
                            </select>
                            <div class="item-content" ng-class="(AgentSecondWizardSubmitted && AgentSecondWizardReset && $parent.AgentSecondWizardForm.subCategory.$invalid) || maxCategoriesExceeded ?'has-error':'no-error'">
                                <div class="item-media"><i class="ion-android-list"></i></div>
                                <div class="item-inner">
                                    <div class="item-after">التصنيفات الفرعية</div>
                                </div>
                            </div>
                            <p ng-show="AgentSecondWizardSubmitted && AgentSecondWizardReset && $parent.AgentSecondWizardForm.subCategory.$error.required" class="error-block">يجب اختيار تصنيف فرعي</p>
                            <p ng-show="AgentSecondWizardSubmitted && AgentSecondWizardReset && maxCategoriesExceeded" class="error-block">لقد قمت باختيار عدد غير مسموح به من التصنيفات الفرعية</p>
                        </a>
                    </li>
                </ul>
                <div>
                    <button type="submit" ng-click="AgentSecondWizardSubmitted=true" class="button button-fill button-rounded centered-75 m-auto">تسجيل</button>
                </div>
                <div>
                    <button class="button button-fill button-rounded centered-75 m-auto" ng-click="GoBack()">عودة</button>
                </div>
            </form>
        </div>
    </div>
</div>